## LassoSaml2SubjectLocality

LassoSaml2SubjectLocality — <saml2:SubjectLocality>

## Functions

LassoNode * | lasso_saml2_subject_locality_new ()

## Types and Values

struct | LassoSaml2SubjectLocality

## Description

Figure 66. Schema fragment for saml2:SubjectLocality

    <complexType name="SubjectLocalityType">
      <attribute name="Address" type="string" use="optional"/>
      <attribute name="DNSName" type="string" use="optional"/>
    </complexType>

## Functions

### lasso_saml2_subject_locality_new ()

    LassoNode *
    lasso_saml2_subject_locality_new (void);

Creates a new LassoSaml2SubjectLocality object.

#### Returns

a newly created LassoSaml2SubjectLocality object

## Types and Values

### struct LassoSaml2SubjectLocality

    struct LassoSaml2SubjectLocality {
    	LassoNode parent;

    	/* attributes */
    	char *Address;
    	char *DNSName;
    };